Package org.apache.sling.distribution.journal.shared

# Class AgentId

java.lang.Object
org.apache.sling.distribution.journal.shared.AgentId

@ParametersAreNonnullByDefault public class AgentId extends Object

## Constructor Summary

Constructors
Constructor
Description
`AgentId(String agentId)`
`AgentId(String slingId, String agentName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAgentId()`
`String`
`getAgentName()`
`String`
`getSlingId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AgentId

public AgentId(String agentId)

### AgentId

public AgentId(String slingId, String agentName)

## Method Details

### getAgentId

public String getAgentId()

### getAgentName

public String getAgentName()

### getSlingId

public String getSlingId()